Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class HasSiblingFilter

    java.lang.Object
      org.htmlparser.filters.HasSiblingFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class HasSiblingFilter

extends Object
implements NodeFilter

This class accepts all tags that have a sibling acceptable to another filter. End tags are not considered to be siblings of any tag.

See Also:
  Serialized Form

Field Summary
`protected NodeFilter` | `mSiblingFilter` The filter to apply to the sibling.

Constructor Summary
`HasSiblingFilter()` Creates a new instance of HasSiblingFilter.
`HasSiblingFilter(NodeFilter filter)` Creates a new instance of HasSiblingFilter that accepts nodes with sibling acceptable to the filter.

Method Summary
`boolean` | `accept(Node node)` Accept tags with a sibling acceptable to the filter.
`NodeFilter` | `getSiblingFilter()` Get the filter used by this HasSiblingFilter.
`void` | `setSiblingFilter(NodeFilter filter)` Set the filter for this HasSiblingFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mSiblingFilter

    protected NodeFilter mSiblingFilter

  The filter to apply to the sibling.

Constructor Detail

### HasSiblingFilter

    public HasSiblingFilter()

  Creates a new instance of HasSiblingFilter. With no sibling filter, this would always return `false` from `accept(org.htmlparser.Node)`.

### HasSiblingFilter

    public HasSiblingFilter(NodeFilter filter)

  Creates a new instance of HasSiblingFilter that accepts nodes with sibling acceptable to the filter.

  Parameters:
    `filter` - The filter to apply to the sibling.

Method Detail

### getSiblingFilter

    public NodeFilter getSiblingFilter()

  Get the filter used by this HasSiblingFilter.

  Returns:
    The filter to apply to siblings.

### setSiblingFilter

    public void setSiblingFilter(NodeFilter filter)

  Set the filter for this HasSiblingFilter.

  Parameters:
    `filter` - The filter to apply to siblings in `accept(org.htmlparser.Node)`.

### accept

    public boolean accept(Node node)

  Accept tags with a sibling acceptable to the filter.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if the node has an acceptable sibling, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |